<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */

function tt_lc_menu_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => esc_html__("Menu item", 'logiscargo'),
			"base" => "tt_lc_menu_shortcode",
			'description' => esc_html__( 'Custom menu item', 'logiscargo' ),
			"category" => esc_html__('Logiscargo', 'logiscargo'),
			"params" => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'logiscargo' ),
                    'param_name' => 'title',
                    'value' => '',
                    'admin_label' => true,
                    'description' => esc_html__( 'Enter name menu item', 'logiscargo' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Link', 'logiscargo' ),
                    'param_name' => 'link',
                    'value' => '',
                    'description' => esc_html__( 'Enter link', 'logiscargo' )
                ),
                array(
                    'type'       => 'checkbox',
                    'heading'    => esc_html__( 'Make active item?', 'logiscargo' ),
                    'param_name' => 'active_item',
                    'value'      => array( esc_html__( 'Yes, please', 'logiscargo' ) => 'yes' ),
                ),
			)
		)
	);
}

add_action( 'vc_before_init', 'tt_lc_menu_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_lc_menu_shortcode extends WPBakeryShortCode {
	}
}